%define debug_package %{nil}
%define oname py2cairo
%define oname3 pycairo
Summary:	A python wrapper for the Cairo libraries
Name:		python-cairo
Version:	1.10.0
Release:	4
License:	LGPLv2+
Group:		Development/Python
URL:		http://cairographics.org/pycairo
Source0:		http://cairographics.org/releases/%{oname}-%{version}.tar.bz2
Source1:     http://cairographics.org/releases/%{oname3}-%{version}.tar.bz2
Patch0:		pycairo-1.10.0-link.patch
# Since Python 3.4, pythonX.Y-config is shell script, not Python script,
#  so prevent waf from trying to invoke it as a Python script
Patch1:		pycairo-1.10.0-fix-waf-build.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(python)
BuildRequires:	waf-python3

%description
A set of Python bindings for the cairo graphics library.

%package devel
Summary:	Development files for %{name}
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description devel
Development files for %{name}.


%description
Aset of Python bindings for the cairo graphics library.

%package -n python3-cairo
Summary:    A python wrapper for the Cairo libraries
Group:      Development/Python
Provides:   python3-cairo = %{version}-%{release}
Provides:   py3cairo = %{version}-%{release}
BuildRequires:  python3-devel

%description -n python3-cairo
A set of Python3 bindings for the cairo graphics library.

%package -n python3-cairo-devel
Summary:    Development files for python3-cairo
Group:      Development/Python
Requires:   python3-cairo = %{version}-%{release}
Provides:   python3-cairo-devel = %{version}-%{release}

%description -n python3-cairo-devel
Development files for python3-cairo.

%prep
%setup -qn %{oname}-%{version} -c -a 0
%setup -qn %{oname3}-%{version} -c -a 1

%patch0 -p0
mv %{oname}-%{version} python2
mv %{oname3}-%{version} python3
touch python2/ChangeLog
#touch python3/ChangeLog

%build
pushd python2
autoreconf -fi
%configure2_5x
%make
popd

pushd python3
%patch1 -p0
%__python3_waf --version

export PYTHON="%{_bindir}/python3"
CFLAGS="-I/usr/include/python%{python3_version} -lpython%{python3_version}m" %configure_python3_waf
%python3_waf
# remove executable bits from examples
find ./examples/ -type f -print0 | xargs -0 chmod -x
popd

%install
pushd python2
%makeinstall_std
popd

pushd python3
%python3_waf_install
popd

%files 
%doc python2/AUTHORS
%{py_platsitedir}/cairo

%files -n python3-cairo
%attr(755, root, root) %doc python3/AUTHORS
%{py3_platsitedir}/cairo

%files devel
%attr(755, root, root) %doc python2/examples
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/pycairo.pc

%files -n python3-cairo-devel
%attr(755, root, root) %doc python3/examples
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.10.0-4
+ Revision: 4735765
- MassBuild#440: Increase release tag


